import { jsx } from "react/jsx-runtime";
import { TokenMPLX as TokenMPLX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMPLX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MPLX", "data-name": "TokenMPLX", ...props, children: /* @__PURE__ */ jsx(TokenMPLX$1, { variant }) });
  }
);
TokenMPLX.displayName = "TokenMPLX";
Object.assign(TokenMPLX, { isGdsIcon: true });
export {
  TokenMPLX
};
